%define modname lxml
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{modname}
URL:            http://codespeak.net/lxml/
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        3.6.0
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/l/lxml/%{modname}-%{version}.tar.xz
BuildRequires:  libpython-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel 
BuildRequires:  python-cython
BuildRequires:  python-setuptools

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package -n python3-%{modname}
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Group:          Development/Python
BuildRequires:  libpython3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{modname}
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description docs
This package provides the documentation for %{name}, e.g. the API as html.

%prep
%setup -q -n %{modname}-%{version}
# remove the C extension so that it will be rebuilt using the latest Cython
rm -f src/lxml/lxml.etree.c
rm -f src/lxml/lxml.etree.h
rm -f src/lxml/lxml.etree_api.h
rm -f src/lxml/lxml.objectify.c

chmod a-x doc/rest2html.py
%{__sed} -i 's/\r//' doc/s5/ui/default/print.css \
    doc/s5/ep2008/atom.rng \
    doc/s5/ui/default/iepngfix.htc

rm -rf %{py3dir}
cp -r . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python2} setup.py build --with-cython

cp src/lxml/lxml.etree.c %{py3dir}/src/lxml
cp src/lxml/lxml.etree.h %{py3dir}/src/lxml
cp src/lxml/lxml.etree_api.h %{py3dir}/src/lxml
cp src/lxml/lxml.objectify.c %{py3dir}/src/lxml

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build --with-cython
popd

%install
%{__python2} setup.py install --skip-build --no-compile --with-cython --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --no-compile --with-cython --root %{buildroot}
popd


%files
%doc PKG-INFO CREDITS.txt CHANGES.txt LICENSES.txt
%{python2_sitearch}/lxml*

%files docs
%doc doc/*

%files -n python3-lxml
%doc PKG-INFO CREDITS.txt CHANGES.txt LICENSES.txt
%{python3_sitearch}/lxml*

%changelog
* Tue Nov 08 2016 adrianomorselli <adrianomorselli> 3.6.0-1uplos2016
- rebuild

* Sun May 15 2016 bb <bb> 3.6.0-1pclos2016
- update

